package xyz.etztech.qol.commands;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import xyz.etztech.qol.EtzTechUtil;
import xyz.etztech.qol.Lang;
import xyz.etztech.qol.QoL;

public class DeathMuteCommand implements CommandExecutor {

    QoL plugin;

    public DeathMuteCommand(QoL paramQoL)
    {
        this.plugin = paramQoL;
    }

    @Override
    public boolean onCommand(CommandSender commandSender, Command command, String s, String[] args) {
        if (!commandSender.hasPermission("qol.deathmute")) {
            EtzTechUtil.sms(commandSender, Lang.NO_PERMISSION.getDef());
            return true;
        }

        if (args.length < 1) {
            EtzTechUtil.sms(commandSender, ChatColor.RED + "/dm <player>");
            return true;
        }

        Player argPlayer = Bukkit.getPlayer(args[0]);

        if (argPlayer == null) {
            EtzTechUtil.sms(commandSender, ChatColor.RED + "No player found.");
            return true;
        }

        final Player player = argPlayer;

        EtzTechUtil.sms(commandSender, ChatColor.GREEN + "Death Muting " + ChatColor.YELLOW +
                player.getName());

        QoL.addDeathMute(player);
        return true;
    }


}
